<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS name="FactorScoreResult" package="performa.orm">
        <IMPORT value="performa.orm.types.*"/>
               
        <TABLE  name="tl_level_factor"  tablePrefix="object"    polymorphic="FALSE">
            
            <ATTRIB name="FromScore"        type="Integer"      dbcol="from_score"/>
            <ATTRIB name="ToScore"          type="Integer"      dbcol="to_score"/>
            <ATTRIB name="ColorCode"        type="ColorCode"    dbcol="color_code"      attribHelper="EnumeratedAttributeHelper" />

            <SINGLEREFERENCE    name="Factor"       type="Factor"       dbcol="factor_number"   backreferenceName="Results"/>
            <SINGLEREFERENCE    name="Level"        type="Level"        dbcol="level_number"    backreferenceName="Results"/>
            <SINGLEREFERENCE    name="Narrative"    type="Narrative"    dbcol="narrative_id"    backreferenceName="Results"/>
            
        </TABLE>
        
        <SEARCH type="All"  paramFilter="tl_level_factor.object_id is not null" orderBy="tl_level_factor.object_id" />

    </BUSINESSCLASS>
    
</ROOT>
